Bug 203063 - Hangul/Hanja convertion bug in between characters
Hangul/Hanja convertion bug in between characters
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-18 03:19 EDT by Jong Bae KO
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.4-2.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-29 12:53:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
a glyph replacement test case (8.12 KB, application/vnd.oasis.opendocument.text)
2006-08-29 07:38 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Jong Bae KO 2006-08-18 03:19:46 EDT
Description of problem:
Hangul/Hanja convertion doesn't work in some situation(Cut and paste from web
site. and input Hangul char in between Hanguls).


Version-Release number of selected component (if applicable):
openoffice.org 2.0.33

How reproducible:


Steps to Reproduce:
   1. start oowriter
   2. copy and paste the contents from the following URL:
http://i18n.brisbane.redhat.com/~llim/rendering/CJKI%20bold-nornal%20font%20compare
   3. ctrl-space to activate SCIM
   4. input Hangul char in between Korean characters
   5. press  F9
   6. choose one of them

Actual results:
disappear the hangul character

Expected results:
convert Hangul to Hanja

Additional info:
when i write some Hanguls and try like it again, the converting is working.
Comment 1 Caolan McNamara 2006-08-18 03:43:38 EDT
Please select the character and check format->character->Asian->Language, this
conversion only works based on the language of the affected characters, not the
unicode code points of the glyphs themselves. So the characters need to be set
to Korean to be detected by the dialog.
Comment 2 Jong Bae KO 2006-08-18 03:52:50 EDT
the Language is korean in Asian font text. :)
Comment 3 Caolan McNamara 2006-08-21 07:04:12 EDT
I think I misunderstood this, I was thinking of ctrl+shift+F7 when the input
engine is closed, i.e. the inbuilt writer hangul/hanga conversion. 

But you said F9, i.e. you are talking about the ability in the IM itself to
change the letter being inputted ? Is that what we mean here, if so could you
tell me a  sample cursor position and what letter on the keyboard to press when
using the hangul scim engine to reproduce this

This *might* be related to something like bug 200728 where we need a way to get
the surrounding text
Comment 4 Jong Bae KO 2006-08-21 19:11:20 EDT
Just follow the step until 3
The Hangul SCIM should be activated.
and then write "rh" between 시스템 in ko_KR Locale, i.e 시고스템 <-- "rh" should
be in Korean(ê³ )
after that press F9
finally press 1(This action is selecting Hanja)

It should convert from Hangul to Hanja eg: "ê³ " --> "ä¼°"
Comment 5 Caolan McNamara 2006-08-22 07:24:23 EDT
reproducable
Comment 6 Caolan McNamara 2006-08-22 07:46:06 EDT
It's actually a nasty glyph substitution bug, e.g. cutting and pasting the
character from gedit into a blank line is ok, pasting it between those
characters and it's not rendered at all. 

So it's the glyph rendering that's the problem, not the  input engine handling.
Comment 7 Caolan McNamara 2006-08-23 09:06:51 EDT
very hard, fix checked in. Hopefully this one squashes this sort of problem
permanently
Comment 8 Caolan McNamara 2006-08-28 05:17:26 EDT
Fixed, but failed. Far more cunning required.
Comment 9 Caolan McNamara 2006-08-28 06:25:53 EDT
Attempt 2
Comment 10 Caolan McNamara 2006-08-29 07:39:00 EDT
Created attachment 135119 [details]
a glyph replacement test case 

A test document stuffed with troublesome scripts, and the sort of nasty edge
cases which trip us up
Comment 11 Caolan McNamara 2006-08-29 12:53:15 EDT
ok, how about that in 2.0.4-2.2 ? Finally looks good to me now.

Note You need to log in before you can comment on or make changes to this bug.